# 64bits 
#CFLAGS = -Wall -m64 -Wno-unused-variable
# 32bits
#CFLAGS = -Wall -m32 -Wno-unused-variable 

CFLAGS  = -Wall -Wno-unused-variable

EXES = 00-types 01-ranges 02-portable-int 03-autocasting 04-div 05-numeric-storage 06-floats 07-endianess 08-endianess 09-portable-int-io

-include dummy

.PHONY: clean all

all: $(EXES)

dummy: Makefile
	@touch $@
	@$(MAKE) -s clean

clean:
	rm -f *.o $(EXES) *.s *.i a.out core

splash:
	rm -f *~ 
